import http from "http";
import app from "./app";

import userRoute from "./routes/user";
import authRoute from "./routes/auth";

const server = http.createServer(app);

const { API_PORT } = process.env;
const port = process.env.PORT || API_PORT;

// server listening 
server.listen(port, () => {
  console.log(`Server running on port ${port}`);
});

app.use("/user", userRoute);
app.use("/auth", authRoute);